#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N, i, maxz, z;
    scanf("%d", &N);
    int a[N];
    for(i=0;i<N;i++)
    {
        scanf("%d", &a[i]);
    }
    maxz=a[0];
    for(i=1;i<N;i++)
    {
        if(maxz<a[i])
        {
            printf("%d %d ", a[i], maxz);
            z=i+1;
            break;
        }
        else
        {
            if(i==N-1)
            {
                printf("%d %d ", a[i], a[i-1]);
                break;
            }
            else
            {
                printf("%d ", maxz);
                maxz=a[i];
            }
        }
    }
    for(i=z;i<N;i++)
    {
        printf("%d ", a[i]);
    }
    return 0;
}